cURL
curl --request GET \
--url https://api.opal.dev/v1/bundles/{bundle_id}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/bundles/{bundle_id}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/bundles/{bundle_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
"previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
"total_count": 3,
"bundle_resources": [
{
"id": "a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1",
"name": "Resource 1",
"access_level_name": "read",
"access_level_remote_id": "pull"
}
]
}Returns a list of Resource objects in a given bundle.
GET
/
bundles
/
{bundle_id}
/
resources
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the bundle.
Query Parameters
The maximum number of resources to return from the beginning of the list. Default is 200, max is 1000.
A cursor indicating where to start fetching items after a specific point.
Response
200 - application/json
A list of resources for the bundle.
Show child attributes
Show child attributes
The cursor used to obtain the current result page.
Example:
"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"
The cursor with which to continue pagination if additional result pages exist.
Example:
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The total number of items in the result set.
Example:
2
Last modified on August 27, 2026
Was this page helpful?